> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Quoting Thread

> Lists the message thread for a given thread ID.
Suitable for any Message thread.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /v1/inbox/thread/{id}/listing/{listing_id}
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /v1/inbox/thread/{id}/listing/{listing_id}:
    get:
      tags:
        - Quotes
      summary: List Quoting Thread
      description: |-
        Lists the message thread for a given thread ID.
        Suitable for any Message thread.
      parameters:
        - description: Thread ID
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Listing ID
          in: path
          name: listing_id
          required: true
          schema:
            type: string
        - description: 'Max events to return '
          in: query
          name: limit
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  type: object
                type: array
          description: >-
            thread messages in chronological order of type listing, quote, or
            response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid id or params
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: thread not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````